package com.mygrouptasks.worksuggest1.dao;

import com.mygrouptasks.worksuggest1.entity.Person;
import com.mygrouptasks.worksuggest1.transaction.PersonTransaction;

import javax.ejb.Stateless;
import javax.inject.Inject;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;
import java.util.List;

@Stateless
public class PersonDaoImpl implements PersonDao{

    private Person person = new Person();

    @Inject
    PersonTransaction personTransaction;

    @Override
    public List getAllPersons() {
        System.out.println("get all persons through DAO");
        return personTransaction.listAllPersons();
    }

    @Override
    public void addPerson(String name, String email, String phone, String address) {
        System.out.println("add person through DAO");
        Person newPerson = person.toEntity(name,email,phone,address);
        personTransaction.addPerson(newPerson);
    }
}
