package com.mygrouptasks.worksuggest1.transaction;

import com.mygrouptasks.worksuggest1.entity.Person;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.PersistenceException;
import javax.persistence.Query;
import java.util.List;

public class PersonTransactionImpl implements PersonTransaction {

    @PersistenceContext(unitName = "worksuggest1")
    protected EntityManager entityManager;

    @Override
    public List listAllPersons() {
        Query query = entityManager.createQuery("SELECT p from Person p");
        return query.getResultList();
    }

    @Override
    public void addPerson(Person p) {
        try {
            entityManager.merge(p);
            entityManager.flush();
        } catch (PersistenceException pe) {
            System.out.println("did not complete persist: " + pe);
        }
    }

}
